Checkbox1.SetValue(TRUE)
TextCtrl6.SetEditable(FALSE)
TextCtrl7.SetEditable(FALSE)
TextCtrl8.SetEditable(FALSE)
TextCtrl9.SetEditable(FALSE)
TextCtrl10.SetEditable(FALSE)
TextCtrl11.SetEditable(FALSE)
TextCtrl12.SetEditable(FALSE)
TextCtrl13.SetEditable(FALSE)
TextCtrl17.SetEditable(FALSE)
TextCtrl18.SetEditable(FALSE)
TextCtrl19.SetEditable(FALSE)

Sub onCheck2 ( event )
If Checkbox2.IsChecked() then
TextCtrl6.SetEditable(TRUE)
TextCtrl7.SetEditable(TRUE)
else
TextCtrl6.SetEditable(FALSE)
TextCtrl7.SetEditable(FALSE)
End If
End Sub

Sub onCheck3 ( event )
If Checkbox3.IsChecked() then
TextCtrl8.SetEditable(TRUE)
TextCtrl9.SetEditable(TRUE)
else
TextCtrl8.SetEditable(FALSE)
TextCtrl9.SetEditable(FALSE)
End If
End Sub

Sub onCheck4 ( event )
If Checkbox4.IsChecked() then
TextCtrl10.SetEditable(TRUE)
TextCtrl11.SetEditable(TRUE)
else
TextCtrl10.SetEditable(FALSE)
TextCtrl11.SetEditable(FALSE)
End If
End Sub

Sub onCheck5 ( event )
If Checkbox5.IsChecked() then
TextCtrl12.SetEditable(TRUE)
TextCtrl13.SetEditable(TRUE)
else
TextCtrl12.SetEditable(FALSE)
TextCtrl13.SetEditable(FALSE)
End If
End Sub

Sub onCheck1 ( event )
If Checkbox1.IsChecked() then
TextCtrl4.SetEditable(TRUE)
TextCtrl5.SetEditable(TRUE)
else
TextCtrl4.SetEditable(FALSE)
TextCtrl5.SetEditable(FALSE)
End If
End Sub

Sub onCheck6 ( event )
If Checkbox1.IsChecked() then
TextCtrl17.SetEditable(TRUE)
TextCtrl18.SetEditable(TRUE)
TextCtrl19.SetEditable(TRUE)
else
TextCtrl17.SetEditable(FALSE)
TextCtrl18.SetEditable(FALSE)
TextCtrl19.SetEditable(FALSE)
End If
End Sub